using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Plugins.Values.Complex
{
    [NodeInfo("MultiType", typeof(MultiTypeNode), Category = "Values")]
    public class MultiTypeNode : Node
    {

        internal List<MultiTypeValue> inputValues = new List<MultiTypeValue>();
        internal List<MultiTypeValue> outputValues = new List<MultiTypeValue>();

        public MultiTypeNode(Program program) : base(program)
        {
        }


        public List<MultiTypeValue> InputValues
        {
            get { return inputValues; }
            set { InputValues = value; }
        }

        public List<MultiTypeValue> OutputValues
        {
            get { return outputValues; }
            set { outputValues = value; }
        }}
}
